contrib: speex: use 1.2.0 release.
[vlc.git] / contrib / src / speex / rules.mak
1 # speex
2
3 SPEEX_VERSION := 1.2.0
4 SPEEX_URL := http://downloads.us.xiph.org/releases/speex/speex-$(SPEEX_VERSION).tar.gz
5
6 PKGS += speex
7 ifeq ($(call need_pkg,"speex >= 1.0.5"),)
8 PKGS_FOUND += speex
9 endif
10
11 $(TARBALLS)/speex-$(SPEEX_VERSION).tar.gz:
12         $(call download_pkg,$(SPEEX_URL),speex)
13
14 .sum-speex: speex-$(SPEEX_VERSION).tar.gz
15
16 speex: speex-$(SPEEX_VERSION).tar.gz .sum-speex
17         $(UNPACK)
18         $(MOVE)
19
20 SPEEX_CONF := --disable-binaries
21 ifndef HAVE_FPU
22 SPEEX_CONF += --enable-fixed-point
23 ifeq ($(ARCH),arm)
24 SPEEX_CONF += --enable-arm5e-asm
25 endif
26 endif
27 ifeq ($(ARCH),aarch64)
28 SPEEX_CONF += --disable-neon
29 endif
30
31 .speex: speex
32         cd $< && $(HOSTVARS) ./configure $(HOSTCONF) $(SPEEX_CONF)
33         cd $< && $(MAKE) install
34         touch $@